<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author        juan.agudelo
@version 		2.0
@cu             CU-CO-V-03

    Pantalla que permite mostrar la información de cancelación e inscripcion 
    comparando un predio inicial contra un predio final despues de la proyección 
    en el modulo correspondiente a propietarios y / o poseedores
    
    Paramteros de entrada:
   
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:p="http://primefaces.org/ui" columns="1"
             cellspacing="13" id="tablaDatosIdpropietariosPoseedoresId" width="100%">

    <p:dataTable value="#{infoCancelacionInscripcion.tablaPropietarios}"
                 id="tablaDatosP"
                 var="propietario"
                 emptyMessage="No existe información de los propietarios para el predio inicial"
                 rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}">

        <f:facet name="header">  
            Datos predio inicial
        </f:facet>

        <p:column headerText="Número de identificación">
            <h:outputText value="#{propietario.persona.numeroIdentificacion}" />
        </p:column>

        <p:column headerText="Nombre">
            <h:outputText value="#{propietario.persona.nombre}" />
        </p:column>

        <p:column headerText="Porcentaje de participación">
            <h:outputText value="#{propietario.participacion}%" />
        </p:column>

    </p:dataTable>

    <p:outputPanel layout="block" style="text-align: right">
        <h:outputLabel value="Total propietarios "
                       styleClass="outputLabelStyle"
                       rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}" />
        <h:outputText
            value="#{fn:length(infoCancelacionInscripcion.tablaPropietarios)}"
            styleClass="outputTextStyle"
            rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}" />

        <p:spacer width="300px" height="0" />
        <p:commandButton label="Ver más detalles" value="Ver más detalles"
                         oncomplete="detallePropietariosWV.show()" immediate="true"
                         icon="ui-icon ui-icon-search" update=":detallePropietariosForm"
                         rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}"
                         disabled="#{empty infoCancelacionInscripcion.tablaPropietarios}">
            <f:setPropertyActionListener
                target="#{infoCancelacionInscripcion.tablaDetallesAdicionalesPropietarios}"
                value="#{infoCancelacionInscripcion.tablaPropietarios}" />
        </p:commandButton>

    </p:outputPanel>


    <p:dataTable value="#{infoCancelacionInscripcion.tablaPPropietarios}"
                 id="tablaDatosPP"
                 var="ppropietario"
                 emptyMessage="No existe información de los propietarios para el predio proyectado"
                 rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">

        <f:facet name="header">  
            Datos predio proyectado
        </f:facet>

        <p:column headerText="Número de identificación">
            <p:graphicImage value="/imagesColorCircles/datoModificado.png" height="13" width="13" rendered="#{ppropietario.cancelaInscribe=='C'}" title="Cancelado #{ppropietario.id} - #{ppropietario.PPersona.id}" />
            <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13" width="13" rendered="#{ppropietario.cancelaInscribe=='I'}" title="Inscrito #{ppropietario.id} - #{ppropietario.PPersona.id}"/>
            <p:graphicImage value="/imagesColorCircles/datoInicial.png" height="13" width="13" rendered="#{ppropietario.cancelaInscribe=='M'}" title="Asociado/Modificado #{ppropietario.id} - #{ppropietario.PPersona.id}"/>

            <h:outputText value="#{ppropietario.PPersona.numeroIdentificacion}" />
        </p:column>

        <p:column headerText="Nombre">
            <h:outputText value="#{ppropietario.PPersona.nombre}" />
        </p:column>

        <p:column headerText="Porcentaje de participación">
            <h:outputText value="#{ppropietario.participacion}%" />
        </p:column>

    </p:dataTable>

    <p:outputPanel layout="block" style="text-align: right">
        <h:outputLabel value="Total propietarios "
                       styleClass="outputLabelStyle"
                       rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}" />
        <h:outputText
            value="#{fn:length(infoCancelacionInscripcion.tablaPPropietarios)}"
            styleClass="outputTextStyle"
            rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}" />

        <p:spacer width="300px" height="0" />
        <p:commandButton label="Ver más detalles" value="Ver más detalles"
                         oncomplete="detallePropietariosWV.show()" immediate="true"
                         icon="ui-icon ui-icon-search" update=":detallePropietariosForm"
                         rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}"
                         disabled="#{empty infoCancelacionInscripcion.tablaPPropietarios}">
            <f:setPropertyActionListener
                target="#{infoCancelacionInscripcion.tablaDetallesAdicionalesPPropietarios}"
                value="#{infoCancelacionInscripcion.tablaPPropietarios}" />
        </p:commandButton>
    </p:outputPanel>

    <h:outputText value="No existen predios seleccionados"
                  styleClass="outputTextStyle"
                  rendered="#{empty infoCancelacionInscripcion.predioFinalSeleccionado and empty infoCancelacionInscripcion.predioInicialSeleccionado}" />

</h:panelGrid>

